OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_RealList Class Reference

Contains a list of doubles.
.

`#include <TDataStd_RealList.hxx>`

Inheritance diagram for TDataStd_RealList:

[legend]

## Public Member Functions
Standard_EXPORT | TDataStd_RealList ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Prepend (const Standard_Real value)
Standard_EXPORT void | Append (const Standard_Real value)
Standard_EXPORT Standard_Boolean | InsertBefore (const Standard_Real value, const Standard_Real before_value)
| Inserts the <value> before the first meet of <before_value>. .
Standard_EXPORT Standard_Boolean | InsertAfter (const Standard_Real value, const Standard_Real after_value)
| Inserts the <value> after the first meet of <after_value>. .
Standard_EXPORT Standard_Boolean | Remove (const Standard_Real value)
| Removes the first meet of the <value>. .
Standard_EXPORT void | Clear ()
Standard_EXPORT Standard_Real | First () const
Standard_EXPORT Standard_Real | Last () const
Standard_EXPORT const TColStd_ListOfReal & | List () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
| Static methods ============== //! Returns the ID of the list of doubles attribute. .
static Standard_EXPORT Handle_TDataStd_RealList | Set (const TDF_Label &label)
| Finds or creates a list of double values attribute. .
## Private Attributes
TColStd_ListOfReal | myList

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_RealList::TDataStd_RealList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_RealList::Append | ( | const Standard_Real | value | ) |

Standard_EXPORT void TDataStd_RealList::Clear | ( |  | ) |

virtual Standard_EXPORT Standard_OStream& TDataStd_RealList::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Integer TDataStd_RealList::Extent | ( |  | ) | const

Standard_EXPORT Standard_Real TDataStd_RealList::First | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_RealList::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_RealList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_RealList::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_RealList::InsertAfter | ( | const Standard_Real | value,
|  | const Standard_Real | after_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_RealList::InsertBefore | ( | const Standard_Real | value,
|  | const Standard_Real | before_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_RealList::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Real TDataStd_RealList::Last | ( |  | ) | const

Standard_EXPORT const TColStd_ListOfReal& TDataStd_RealList::List | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_RealList::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_RealList::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_RealList::Prepend | ( | const Standard_Real | value | ) |

Standard_EXPORT Standard_Boolean TDataStd_RealList::Remove | ( | const Standard_Real | value | ) |

Standard_EXPORT void TDataStd_RealList::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_RealList TDataStd_RealList::Set | ( | const TDF_Label & | label | ) | `[static]`

## Field Documentation

TColStd_ListOfReal TDataStd_RealList::myList`[private]`

The documentation for this class was generated from the following file:

- TDataStd_RealList.hxx